%def_disable debug
%def_enable gpl

%ifarch x86_64
%def_disable mmx
%else
%def_enable mmx
%endif

%define luma_bpp 16
%define Name MLT
%define lname lib%name

Name: mlt
Version: 0.2.5
Release: alt0.svn1045
Summary: Multimedia framework designed for television broadcasting
License: GPL
Group: Video
URL: http://sourceforge.net/projects/%name

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.bz2
Patch0: %name-0.2.4-alt-modulesdir.patch
Patch1: %name-0.2.2-configure.patch
Patch2: mlt-0.2.4-alt-optimisations.patch

# Automatically added by buildreq on Thu Dec 20 2007
BuildRequires: ImageMagick ffmpeg gcc-c++ jackit-devel kdelibs-devel ladspa_sdk libSDL-devel
BuildRequires: libSDL_image-devel libalsa-devel libavformat-devel libgsm-devel libgtk+2-devel
BuildRequires: liblame-devel libmad-devel libqt3-devel libquicktime-devel libsamplerate-devel
BuildRequires: libswscale-devel libxml2-devel sox-devel

%description
%Name is a multimedia framework designed for television broadcasting.

%package utils
Summary: %name utils
Group: Video
License: GPL

%description utils
%Name utils.

%package -n %lname
Summary: %Name framework library
License: GPL
Group: System/Libraries

%description -n %lname
%Name is a multimedia framework designed for television broadcasting.

%package -n %lname-devel
Summary: Development files for %Name framework
License: GPL
Group: Development/C
Requires: %lname = %version-%release

%description -n %lname-devel
Development files for %Name framework.

%package -n miracle
Summary: Multi-unit video playout server with realtime effects
License: GPL
Group: Video
Requires: libmiracle = %version-%release

%description -n miracle
Miracle is a multi-unit video playout server with realtime effects.

%package -n libmiracle
Summary: Miracle library
License: GPL
Group: System/Libraries

%description -n libmiracle
Library for Miracle.

%package -n libmiracle-devel
Summary: Development files for Miracle library
License: GPL
Group: Development/C
Requires: libmiracle = %version-%release
Requires: %lname-devel = %version-%release
Requires: libvalerie-devel = %version-%release

%description -n libmiracle-devel
Development files for Mirace library.

%package -n libvalerie
Summary: Valerie library
License: GPL
Group: System/Libraries

%description -n libvalerie
Library for Valerie.

%package -n libvalerie-devel
Summary: Development files for Valerie library
License: GPL
Group: Development/C
Requires: libvalerie = %version-%release
Requires: %lname-devel = %version-%release

%description -n libvalerie-devel
Development files for Valerie library.

%package -n valerie-utils
Summary: Valerie utils
Group: Video
License: GPL

%description -n valerie-utils
Valerie utils.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%ifarch x86_64
%add_optflags -DARCH_X86_64
%else
%ifarch %ix86
%add_optflags -DARCH_X86
%endif
%endif
export CFLAGS="%optflags"
%configure \
	%{subst_enable gpl} \
	--enable-motion-est \
	--avformat-swscale \
	%{subst_enable mmx} \
	%{subst_enable debug} \
	--luma-compress \
	--luma-8bpp \
	--kde-includedir=%_includedir

%make_build

%install
%make DESTDIR=%buildroot install

%post -n %lname
%post_ldconfig

%postun -n %lname
%postun_ldconfig

%post -n libmiracle
%post_ldconfig

%postun -n libmiracle
%postun_ldconfig

%post -n libvalerie
%post_ldconfig

%postun -n libvalerie
%postun_ldconfig

%files -n %name-utils
%doc docs/inigo.txt
%_bindir/inigo

%files -n %lname
%doc docs/services.txt docs/westley.txt
%_libdir/%lname.so.*
%dir %_libdir/%name
%_libdir/%name/modules
%dir %_datadir/%name
%_datadir/%name/*.dat
%_datadir/%name/modules
%_datadir/%name/profiles

%files -n %lname-devel
%doc docs/framework.txt
%_libdir/%lname.so
%dir %_includedir/%name
%_includedir/%name/framework
%_pkgconfigdir/%name-framework.pc
%_bindir/%name-config

%files -n miracle
%doc docs/dvcp.txt docs/testing.txt
%_bindir/miracle

%files -n libmiracle
%_libdir/libmiracle.so.*

%files -n libmiracle-devel
%_libdir/libmiracle.so
%_includedir/%name/miracle
%_pkgconfigdir/%name-miracle.pc

%files -n libvalerie
%_libdir/libvalerie.so.*

%files -n libvalerie-devel
%_libdir/libvalerie.so
%_includedir/%name/valerie
%_pkgconfigdir/%name-valerie.pc

%files -n valerie-utils
%doc docs/valerie.txt
%_bindir/albino
%_bindir/humperdink

%changelog
* Thu Dec 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.2.5-alt0.svn1045
- SVN revision r1045 2007-12-08

* Mon Sep 03 2007 Alexey Morsov <swi@altlinux.ru> 0.2.4-alt1
- 0.2.4
- new patch set (thanks to shrek@)
- lot of bug fixes

* Fri Jun 29 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.7
- changes for new ffmpeg

* Mon Apr 23 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.6
- add patch from gentoo to fix mmx on ix86
- disable mmx

* Fri Apr 20 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.5
- remove disable_fox and arch dependencies from spec (for sox >= 13.0)
- add patch for build with sox
- add sox in BR due to bug in req's in sox-devel

* Wed Feb 14 2007 Alexey Morsov <swi@altlinux.ru> 0.2.2-alt0.4
- add Packager (swi@)

* Wed Feb 14 2007 Led <led@altlinux.ru> 0.2.2-alt0.3
- fixed %name-0.2.2-modulesdir.patch

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.2
- added %name-0.2.2-configure.patch
- added %name-0.2.2-x86_64.patch

* Tue Feb 13 2007 Led <led@altlinux.ru> 0.2.2-alt0.1
- initial build
- added %name-0.2.2-modulesdir.patch
